summaryrefslogtreecommitdiffstats
path: root/core/modules/busybox/module.build
diff options
context:
space:
mode:
authorSebastian2016-04-25 12:01:08 +0200
committerSebastian2016-04-25 12:01:08 +0200
commit5acda3eaeabae9045609539303a8c12c4ce401f1 (patch)
tree7e71975f8570b05aafe2ea6ec0e242a8912387bb /core/modules/busybox/module.build
parentinitial commit (diff)
downloadmltk-5acda3eaeabae9045609539303a8c12c4ce401f1.tar.gz
mltk-5acda3eaeabae9045609539303a8c12c4ce401f1.tar.xz
mltk-5acda3eaeabae9045609539303a8c12c4ce401f1.zip
merge with latest dev version
Diffstat (limited to 'core/modules/busybox/module.build')
-rw-r--r--core/modules/busybox/module.build30
1 files changed, 30 insertions, 0 deletions
diff --git a/core/modules/busybox/module.build b/core/modules/busybox/module.build
new file mode 100644
index 00000000..46b60c1c
--- /dev/null
+++ b/core/modules/busybox/module.build
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+fetch_source() {
+ git clone --depth 1 "${REQUIRED_GIT}" --branch "$REQUIRED_BRANCH" src || perror "Could not clone busybox git"
+ cd src || perror "Could not cd to src"
+ # Patch image centering and background filling if not patched yet
+ if ! grep -q "bcenter_image" "miscutils/fbsplash.c"; then
+ git apply "${MODULE_DIR}/fbsplash-center.patch" || perror "Could not apply busybox patch for fbsplash image centering"
+ fi
+ if ! grep -q "bfill_background" "miscutils/fbsplash.c"; then
+ git apply "${MODULE_DIR}/fbsplash-fillbg.patch" || perror "Could not apply busybox patch for fbsplash background filling"
+ fi
+ cd .. || perror "cd .. failed"
+}
+
+build() {
+ cp "${MODULE_DIR}/openslx-busybox-config" "src/.config"
+ cd src || perror "Could not cd to src"
+ yes '' | make oldconfig
+ pinfo "Running make (if this hangs, check for unset options, ie. when you increased the REQUIRED_BRANCH)"
+ make || perror "failed."
+ pinfo "Running make install"
+ make CONFIG_PREFIX="$MODULE_BUILD_DIR" install || perror "failed"
+ rm -f "$MODULE_BUILD_DIR/bin/mount" "$MODULE_BUILD_DIR/bin/umount" "$MODULE_BUILD_DIR/bin/bash"
+ cd - &> /dev/null
+}
+
+post_copy() {
+ :
+}